%global         gituser         unixfreak0037
%global         gitname         officeparser
%global         commit          cdaabf5e921ccd90e5aab37ae81e02f13777d554
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})


Group:          Applications/System
Name:           officeparser
Version:        0.20140818
Release:        7%{?dist}
Summary:        Parse the format of OLE compound documents used by MS Office applications
License:        MIT
URL:            https://github.com/%{gituser}/%{gitname}
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel


%description
Python script officeparser.py that parses the format of OLE compound documents
used by Microsoft Office applications. Some useful features of this script
include: macro extraction, embedded file extraction, format analysis.


%prep
%setup -q -n %{gitname}-%{commit}
#Change implicit "env python" to explicit versioned python shebang
#https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython
sed 's|^#!/usr/bin/env python|#!%{__python2}|' officeparser.py > officeparser.py.new
touch -r officeparser.py officeparser.py.new &&
mv officeparser.py.new officeparser.py


%build
#just a script, nothing to build


%install
install -D officeparser.py %{buildroot}%{_bindir}/officeparser.py

 
%files
%doc README.md
%license LICENSE
%{_bindir}/officeparser.py


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20140818-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20140818-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.20140818-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 02 2015 Michal Ambroz <rebus AT_ seznam.cz> - 0.20140818-4
- in each software there is at least 1 error. Times 4 if it is spec file :(

* Wed Jul 01 2015 Michal Ambroz <rebus AT_ seznam.cz> - 0.20140818-3
- add build dependency to python2-devel

* Wed Jul 01 2015 Michal Ambroz <rebus AT_ seznam.cz> - 0.20140818-2
- updates based on package review

* Wed Jun 10 2015 Michal Ambroz <rebus AT_ seznam.cz> - 0.20140818-1
- initial package for Fedora
